package jrummikub.ai.fdsolver.constraint;

import java.util.Collection;

import jrummikub.ai.fdsolver.Propagator;
import jrummikub.ai.fdsolver.Solver;
import jrummikub.ai.fdsolver.Var;

public class LessThanConst<T extends Comparable<T>> extends FilterConstraint<T> {
	public LessThanConst(final boolean allowEqual, Var<T> x, final T y) {
		super(new Filter<T>() {
			@Override
			public boolean accept(T value) {
				return value.compareTo(y) < (allowEqual ? 1 : 0);
			}
		}, x);
	}
}
